package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Pattern;

/**
 * @author Mount Liu
 * @date 2019/12/24
 */
public class ConflictServiceReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "会员id", required = true)
    private String vipId;

    @NotBlank
    @Pattern(regexp = "\\d{4}\\.\\d{2}\\.\\d{2}")
    @ApiModelProperty(name = "beginDate", value = "开始时间(yyyy.MM.dd)", required = true)
    private String beginDate;

    @NotBlank
    @Pattern(regexp = "\\d{4}\\.\\d{2}\\.\\d{2}")
    @ApiModelProperty(name = "endDate", value = "结束时间(yyyy.MM.dd)", required = true)
    private String endDate;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
}
